DEV_FORWARD_SKB(9)

NAME
dev_forward_skb - loopback an skb to another netif

SYNOPSIS

int dev_forward_skb(struct net_device * dev, struct sk_buff * skb);

ARGUMENTS

dev
    destination network device

skb
    buffer to forward

RETURN VALUES

NET_RX_SUCCESS (no congestion) NET_RX_DROP (packet was dropped, but freed)

dev_forward_skb can be used for injecting an skb from the start_xmit function of one device into the receive queue of another device.

The receiving device may be in another namespace, so we have to clear all information in the skb that could impact namespace isolation.

COPYRIGHT